Bug 80142 - Update www/opera to version 8.0 final (20050415)
Summary: Update www/opera to version 8.0 final (20050415)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FUJISHIMA Satsuki
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-04-20 12:50 UTC by Arjan van Leeuwen
Modified: 2005-04-21 12:58 UTC (History)
0 users

See Also:


Attachments
opera.diff (30.49 KB, patch)
2005-04-20 12:50 UTC, Arjan van Leeuwen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Arjan van Leeuwen 2005-04-20 12:50:22 UTC

This patch updates www/opera to version 8.0 final (20050415). This port deprecates www/opera-devel.

Changelog: http://www.opera.com/freebsd/changelogs/800/

/usr/ports/UPDATING should get a notice similar to the one for linux-opera, like this:

AFFECTS: users of www/opera-devel

  Opera 8.0 final has been released and can be installed by installing the
  www/opera port. The opera-devel port is now deprecated. If you want
  to continue using the personal settings you used with www/opera-devel,
  issue this command:

	# mv ~/.opera-devel ~/.opera

AFFECTS: users of www/opera

  Opera has been updated to 8.0. If are upgrading from version 7.x or
  below, it is recommend that you backup your personal "~/.opera"
  directory and remove it, like this:

        # cp -Rp ~/.opera ~/.opera-bak
        # rm -rf ~/.opera/*

  After that, you can put your bookmarks, email, contacts, etc. back in
  ~/.opera/. The most important files are your bookmarks 
  (~/.opera/opera6.adr) and your emails (~/.opera/mail). It is not a good 
  idea to put opera6.ini, userstyle.ini, search.ini, pluginpath.ini and other 
  non-personal stuff back in ~/.opera/. If you need custom settings, 
  reconfigure Opera from the preferences pane or edit the files by hand.
Comment 1 FUJISHIMA Satsuki freebsd_committer 2005-04-20 19:37:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sf

I'll handle this one.
Comment 2 FUJISHIMA Satsuki freebsd_committer 2005-04-20 20:33:06 UTC
Hi,

I merged some "features" from opera-devel.
o added ipv6 category.
o removed pre-patch hack. This is needed only for opera 7.x.
o copy search.ini to locale/en/search.ini and remove
  files/patch-locale::en::search.ini.

It works nicely but you seem to forget to update pkg-descr that starts
with a sentence like "Opera 7 is a...," which does not fit opera 8.0.
Comment 3 Arjan van Leeuwen 2005-04-20 23:10:30 UTC
Hi,

Op woensdag 20 april 2005 21:33, schreef FUJISHIMA Satsuki:
> Hi,
>
> I merged some "features" from opera-devel.
> o added ipv6 category.
> o removed pre-patch hack. This is needed only for opera 7.x.
> o copy search.ini to locale/en/search.ini and remove
>   files/patch-locale::en::search.ini.

Thanks! Do you have a patch?

> It works nicely but you seem to forget to update pkg-descr that starts
> with a sentence like "Opera 7 is a...," which does not fit opera 8.0.

Hmm... Yes. Better replace that with a description that doesn't look like a 
changelog. Here's my suggestion:

The most full-featured Internet power tool on the market, Opera includes
pop-up blocking, tabbed browsing, integrated searches, and advanced functions
like Opera's groundbreaking E-mail program, RSS Newsfeeds and IRC chat. And
because we know that our users have different needs, you can customize 
the look and content of your Opera browser with a few clicks of the mouse.

WWW: http://www.opera.com/

Best regards,

Arjan
Comment 4 FUJISHIMA Satsuki freebsd_committer 2005-04-21 00:22:02 UTC
Here is a diff from yours (including pkg-descr update.)

diff -urN -xCVS opera.orig/Makefile opera/Makefile
--- opera.orig/Makefile	Thu Apr 21 08:18:14 2005
+++ opera/Makefile	Thu Apr 21 03:29:26 2005
@@ -7,7 +7,7 @@
 
 PORTNAME=	opera
 PORTVERSION=	${OPERA_VER}.${OPERA_DATE}
-CATEGORIES=	www
+CATEGORIES=	www ipv6
 MASTER_SITES=	http://ftp.scarlet.be/pub/opera/unix/freebsd/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/static/ \
 		ftp://ftp.planetmirror.com/pub/opera/unix/freebsd/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/static/ \
 		http://www.mehok.uni-miskolc.hu/opera/unix/freebsd/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/static/ \
@@ -74,10 +74,8 @@
 	@${ECHO_CMD} '===> Define WITHOUT_ASPELL to not install aspell.'
 .endif
 
-pre-patch:
-	@${REINPLACE_CMD} -e 's|
||' ${WRKSRC}/ini/pluginpath.ini
-
 post-patch:
+	@${CP} ${WRKSRC}/search.ini ${WRKSRC}/locale/en
 	@${REINPLACE_CMD} -e 's|%%PREFIX%%|${PREFIX}|g ; \
 		s|%%LOCALBASE%%|${LOCALBASE}|g ; s|%%X11BASE%%|${X11BASE}|g' \
 			${WRKSRC}/install.sh ${WRKSRC}/ini/pluginpath.ini \
diff -urN -xCVS opera.orig/files/patch-locale::en::search.ini opera/files/patch-locale::en::search.ini
--- opera.orig/files/patch-locale::en::search.ini	Thu Apr 21 08:18:14 2005
+++ opera/files/patch-locale::en::search.ini	Thu Jan  1 09:00:00 1970
@@ -1,44 +0,0 @@
---- locale/en/search.ini.orig	Fri Apr 15 14:21:52 2005
-+++ locale/en/search.ini	Wed Apr 20 13:21:46 2005
-@@ -422,8 +422,8 @@
- Nameid=0
- 
- [Search Engine 33]
--Name=Google Linu&x
--URL=http://www.google.com/linux?q=%s&sourceid=opera&num=%i&ie=utf-8&oe=utf-8
-+Name=Google &BSD
-+URL=http://www.google.com/bsd?q=%s&sourceid=opera&num=%i&ie=utf-8&oe=utf-8
- Query=
- Key=x
- Is post=0
-@@ -433,3 +433,30 @@
- Verbtext=17063
- Position=-1
- Nameid=0
-+
-+[Search Engine 34]
-+Name=FreeBSD &PRs
-+URL=http://www.freebsd.org/cgi/query-pr.cgi?pr=%s
-+Query=
-+Key=x
-+Is post=0
-+Has endseparator=0
-+Encoding=utf-8
-+Search Type=0
-+Verbtext=17063
-+Position=-1
-+Nameid=0
-+
-+[Search Engine 35]
-+Name=FreshP&orts
-+URL=http://www.freshports.org/search.php?query=%s
-+Query=
-+Key=x
-+Is post=0
-+Has endseparator=0
-+Encoding=utf-8
-+Search Type=0
-+Verbtext=17063
-+Position=-1
-+Nameid=0
-+
diff -urN -xCVS opera.orig/pkg-descr opera/pkg-descr
--- opera.orig/pkg-descr	Fri Aug  6 04:14:52 2004
+++ opera/pkg-descr	Thu Apr 21 08:14:37 2005
@@ -1,18 +1,7 @@
-Opera 7 is a substantial upgrade, with code rewritten from the rendering engine
-and up, resulting in the fastest, smallest, most full-featured desktop browser
-ever released.
-
--New rendering engine
-Opera's new rendering engine supports W3C's DOM (Document Object Model) level 2,
-non-standard dynamic HTML (DHTML), CSS1 and CSS2, ECMAScript, and has improved
-HTML 4.01 support, as well as complete support for WML 1.3 and 2.0. It is
-faster, smaller and can dynamically change documents through DOM.
-
--M2 -- new e-mail client
-Opera's new e-mail client, M2, automatically categorizes and sorts e-mail
-messages by contact and has an integrated spam filter. Innovative features such
-as QuickReply and QuickFind lets users answer or find e-mails at unrivalled
-speed. M2 supports POP3, IMAP, ESMTP, and threaded display of mailing lists.
-In addition, M2 supports news servers with password authentication.
+The most full-featured Internet power tool on the market, Opera includes
+pop-up blocking, tabbed browsing, integrated searches, and advanced functions
+like Opera's groundbreaking E-mail program, RSS Newsfeeds and IRC chat. And
+because we know that our users have different needs, you can customize 
+the look and content of your Opera browser with a few clicks of the mouse.
 
 WWW: http://www.opera.com/
Comment 5 avleeuwen 2005-04-21 12:21:17 UTC
Go for it!

Arjan

On 4/21/05, FUJISHIMA Satsuki <sf@freebsd.org> wrote:
> Here is a diff from yours (including pkg-descr update.)
>=20
> diff -urN -xCVS opera.orig/Makefile opera/Makefile
> --- opera.orig/Makefile Thu Apr 21 08:18:14 2005
> +++ opera/Makefile      Thu Apr 21 03:29:26 2005
> @@ -7,7 +7,7 @@
>=20
>  PORTNAME=3D      opera
>  PORTVERSION=3D   ${OPERA_VER}.${OPERA_DATE}
> -CATEGORIES=3D    www
> +CATEGORIES=3D    www ipv6
>  MASTER_SITES=3D  http://ftp.scarlet.be/pub/opera/unix/freebsd/${OPERA_VE=
R:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/static/ \
>                 ftp://ftp.planetmirror.com/pub/opera/unix/freebsd/${OPERA=
_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/static/ \
>                 http://www.mehok.uni-miskolc.hu/opera/unix/freebsd/${OPER=
A_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/static/ \
> @@ -74,10 +74,8 @@
>         @${ECHO_CMD} '=3D=3D=3D> Define WITHOUT_ASPELL to not install asp=
ell.'
>  .endif
>=20
> -pre-patch:
> -       @${REINPLACE_CMD} -e 's|
> ||' ${WRKSRC}/ini/pluginpath.ini
> -
>  post-patch:
> +       @${CP} ${WRKSRC}/search.ini ${WRKSRC}/locale/en
>         @${REINPLACE_CMD} -e 's|%%PREFIX%%|${PREFIX}|g ; \
>                 s|%%LOCALBASE%%|${LOCALBASE}|g ; s|%%X11BASE%%|${X11BASE}=
|g' \
>                         ${WRKSRC}/install.sh ${WRKSRC}/ini/pluginpath.ini=
 \
> diff -urN -xCVS opera.orig/files/patch-locale::en::search.ini opera/files=
/patch-locale::en::search.ini
> --- opera.orig/files/patch-locale::en::search.ini       Thu Apr 21 08:18:=
14 2005
> +++ opera/files/patch-locale::en::search.ini    Thu Jan  1 09:00:00 1970
> @@ -1,44 +0,0 @@
> ---- locale/en/search.ini.orig  Fri Apr 15 14:21:52 2005
> -+++ locale/en/search.ini       Wed Apr 20 13:21:46 2005
> -@@ -422,8 +422,8 @@
> - Nameid=3D0
> -
> - [Search Engine 33]
> --Name=3DGoogle Linu&x
> --URL=3Dhttp://www.google.com/linux?q=3D%s&sourceid=3Dopera&num=3D%i&ie=
=3Dutf-8&oe=3Dutf-8
> -+Name=3DGoogle &BSD
> -+URL=3Dhttp://www.google.com/bsd?q=3D%s&sourceid=3Dopera&num=3D%i&ie=3Du=
tf-8&oe=3Dutf-8
> - Query=3D
> - Key=3Dx
> - Is post=3D0
> -@@ -433,3 +433,30 @@
> - Verbtext=3D17063
> - Position=3D-1
> - Nameid=3D0
> -+
> -+[Search Engine 34]
> -+Name=3DFreeBSD &PRs
> -+URL=3Dhttp://www.freebsd.org/cgi/query-pr.cgi?pr=3D%s
> -+Query=3D
> -+Key=3Dx
> -+Is post=3D0
> -+Has endseparator=3D0
> -+Encoding=3Dutf-8
> -+Search Type=3D0
> -+Verbtext=3D17063
> -+Position=3D-1
> -+Nameid=3D0
> -+
> -+[Search Engine 35]
> -+Name=3DFreshP&orts
> -+URL=3Dhttp://www.freshports.org/search.php?query=3D%s
> -+Query=3D
> -+Key=3Dx
> -+Is post=3D0
> -+Has endseparator=3D0
> -+Encoding=3Dutf-8
> -+Search Type=3D0
> -+Verbtext=3D17063
> -+Position=3D-1
> -+Nameid=3D0
> -+
> diff -urN -xCVS opera.orig/pkg-descr opera/pkg-descr
> --- opera.orig/pkg-descr        Fri Aug  6 04:14:52 2004
> +++ opera/pkg-descr     Thu Apr 21 08:14:37 2005
> @@ -1,18 +1,7 @@
> -Opera 7 is a substantial upgrade, with code rewritten from the rendering=
 engine
> -and up, resulting in the fastest, smallest, most full-featured desktop b=
rowser
> -ever released.
> -
> --New rendering engine
> -Opera's new rendering engine supports W3C's DOM (Document Object Model) =
level 2,
> -non-standard dynamic HTML (DHTML), CSS1 and CSS2, ECMAScript, and has im=
proved
> -HTML 4.01 support, as well as complete support for WML 1.3 and 2.0. It i=
s
> -faster, smaller and can dynamically change documents through DOM.
> -
> --M2 -- new e-mail client
> -Opera's new e-mail client, M2, automatically categorizes and sorts e-mai=
l
> -messages by contact and has an integrated spam filter. Innovative featur=
es such
> -as QuickReply and QuickFind lets users answer or find e-mails at unrival=
led
> -speed. M2 supports POP3, IMAP, ESMTP, and threaded display of mailing li=
sts.
> -In addition, M2 supports news servers with password authentication.
> +The most full-featured Internet power tool on the market, Opera includes
> +pop-up blocking, tabbed browsing, integrated searches, and advanced func=
tions
> +like Opera's groundbreaking E-mail program, RSS Newsfeeds and IRC chat. =
And
> +because we know that our users have different needs, you can customize
> +the look and content of your Opera browser with a few clicks of the mous=
e.
>=20
>  WWW: http://www.opera.com/
>
Comment 6 FUJISHIMA Satsuki freebsd_committer 2005-04-21 12:58:00 UTC
State Changed
From-To: open->closed

Committed, thanks.